#!/bin/csh
#
# This UCSF Generation and Cleanup script was created by AGNuS 2.1.
#


# Testing to delete ./pipe_conversion/
if (-e ./pipe_conversion/) then
	echo "Deleteing ./pipe_conversion/"
	rm -fr ./pipe_conversion/ 
endif

# Testing to delete ./pipe_processing/
if (-e ./pipe_processing/) then
	echo "Deleteing ./pipe_processing/"
	rm -fr ./pipe_processing/ 
endif

# Testing to delete ./pipe_rephasing/
if (-e ./pipe_rephasing/) then
	echo "Deleteing ./pipe_rephasing/"
	rm -fr ./pipe_rephasing/ 
endif

# Testing to delete ./pipe_rebasing/
if (-e ./pipe_rebasing/) then
	echo "Deleteing ./pipe_rebasing/"
	rm -fr ./pipe_rebasing/ 
endif

# Testing to delete ./HCCH_TOCSY.rephase.pipe
if (-e ./HCCH_TOCSY.rephase.pipe) then
	echo "Deleteing ./HCCH_TOCSY.rephase.pipe"
	rm -fr ./HCCH_TOCSY.rephase.pipe 
endif

# Testing to delete ./HCCH_TOCSY.rebase.pipe
if (-e ./HCCH_TOCSY.rebase.pipe) then
	echo "Deleteing ./HCCH_TOCSY.rebase.pipe"
	rm -fr ./HCCH_TOCSY.rebase.pipe 
endif

# Testing to delete ./HCCH_TOCSY_xy.pipe
if (-e ./HCCH_TOCSY_xy.pipe) then
	echo "Deleteing ./HCCH_TOCSY_xy.pipe"
	rm -fr ./HCCH_TOCSY_xy.pipe 
endif

# Testing to delete ./HCCH_TOCSY_xz.pipe
if (-e ./HCCH_TOCSY_xz.pipe) then
	echo "Deleteing ./HCCH_TOCSY_xz.pipe"
	rm -fr ./HCCH_TOCSY_xz.pipe 
endif

# Generate UCSF if ./HCCH_TOCSY.pipe exists
if (-e ./HCCH_TOCSY.pipe) then
	echo "Attempting to generate UCSF file ./HCCH_TOCSY.ucsf"
	if ( { pipe2ucsf  ./HCCH_TOCSY.pipe ./HCCH_TOCSY.ucsf } ) then 
		if (-e ./Convert_HCCH_TOCSY.csh ) then
			echo "ZZZZZZZZZZConversion_script_begin" >> ./HCCH_TOCSY.ucsf
			cat ./Convert_HCCH_TOCSY.csh >> ./HCCH_TOCSY.ucsf
			echo "ZZZZZZZZZZConversion_script_end" >> ./HCCH_TOCSY.ucsf
		endif
		if (-e ./Process_HCCH_TOCSY.csh ) then
			echo "ZZZZZZZZZZProcessing_script_begin" >> ./HCCH_TOCSY.ucsf
			cat ./Process_HCCH_TOCSY.csh >> ./HCCH_TOCSY.ucsf
			echo "ZZZZZZZZZZProcessing_script_end" >> ./HCCH_TOCSY.ucsf
		endif
		echo "Deleteing ./HCCH_TOCSY.pipe"
		rm -f ./HCCH_TOCSY.pipe 
	endif
endif

