#!/bin/csh

# This hsqcctetgpsp conversion script was created using AGNuS 2.1.

# Make the conversion directory if it does not exist (because var2pipe will not for 2D's) 
if (! -d ./pipe_conversion/ ) mkdir ./pipe_conversion/

bruk2pipe -bad 0.0 -noaswap  -DMX  -decim 16  -dspfvs 12  -in ./ser  \
  -xN        2048                  -yN        150               \
  -xT        1024                  -yT        75                \
  -xMODE    DQD                -yMODE    Echo-AntiEcho            \
  -xSW    11160.7142857143            -ySW    7043.15804465                \
  -xOBS    800.19376489              -yOBS    201.23308699        \
  -xCAR    4.80172255541717        -yCAR    127.763909555461    \
  -xLAB        1H                  -yLAB        13C             \
  -ndim        2            -aq2D     States                    \
  -out ./pipe_conversion/HSQC.fid  -verb  -ov    
