#!/bin/csh
#
# This hsqcetgp processing script was created using AGNuS 2.1.
#
# 2D Processing Script.

nmrPipe -in ./pipe_conversion/HSQC.fid  \
| nmrPipe  -fn POLY -time  \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -size 2048   \
| nmrPipe  -fn FT   \
| nmrPipe  -fn PS -p0 -36.8 -p1 -7 -di    \
| nmrPipe  -fn TP  \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -size 1024   \
| nmrPipe  -fn FT   \
| nmrPipe  -fn PS -p0 -90 -p1 0 -di    \
   -verb -ov -out ./HSQC_SP.pipe

