#!/bin/csh
#
# This hncacogp3d processing script was created using AGNuS 2.1.
#
# XY Processing Script.

nmrPipe -in ./pipe_conversion/HNcaCO001.fid  \
| nmrPipe  -fn SOL  \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto   \
| nmrPipe  -fn FT   \
| nmrPipe  -fn PS -p0 56 -p1 0 -di    \
| nmrPipe  -fn TP  \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -auto   \
| nmrPipe  -fn FT   \
| nmrPipe  -fn PS -p0 94 -p1 0 -di    \
   -verb -ov -out ./HNcaCO_xy.pipe

